<?php

use EventPortal\Http\Controllers\Delegate\Account\ChangePasswordController;
use EventPortal\Http\Controllers\Delegate\Account\MyDetailsController;
use EventPortal\Http\Controllers\Delegate\DashboardController;
use EventPortal\Http\Controllers\Delegate\Event\AgendaController;
use EventPortal\Http\Controllers\Delegate\Event\ContactController;
use EventPortal\Http\Controllers\Delegate\Event\Form\StoreFormController;
use EventPortal\Http\Controllers\Delegate\Event\Form\UpdateFormController;
use EventPortal\Http\Controllers\Delegate\Event\Form\ViewFormController;
use EventPortal\Http\Controllers\Delegate\Event\LandingController;
use EventPortal\Http\Controllers\Delegate\Event\VenueController;

Route::get('', [DashboardController::class, '__invoke'])->name('home');

Route::redirect('account', 'account/my-details')->name('account.index');
Route::get('/account/my-details', [MyDetailsController::class, '__invoke'])->name('account.my-details.index');

Route::get('/account/change-password', [ChangePasswordController::class, 'edit'])->name('account.password.edit');
Route::post('/account/change-password', [ChangePasswordController::class, 'update'])->name('account.password.update');

Route::prefix('event/{event}')
    ->middleware('can:view,event')
    ->group(function (): void {
        Route::get('/', [LandingController::class, '__invoke'])->name('delegate.landing');
        Route::get('/agenda', [AgendaController::class, '__invoke'])->name('agenda.index');
        Route::get('/venue', [VenueController::class, '__invoke'])->name('venue.index');
        Route::get('contact', [ContactController::class, 'index'])->name('contact.index');
        Route::post('contact', [ContactController::class, 'store'])->name('contact.store');

        Route::get('{form}', [ViewFormController::class, '__invoke'])->name('delegate.form.index');
        Route::post('{form}/{step}/store', [StoreFormController::class, '__invoke'])->name('delegate.form.store');
        Route::post('{form}/{step}/update', [UpdateFormController::class, '__invoke'])->name('delegate.form.update');
    });
