<?php

namespace EventPortal\Domain\EventDelegate;

use Illuminate\Support\Arr;

class ViewableStatus
{
    public static function contains(string $state): bool
    {
        return in_array($state, self::get());
    }

    public static function doesNotContain(string $state): bool
    {
        return self::contains($state) === false;
    }

    public static function get(): array
    {
        return collect(config("state-machine.eventDelegate.states"))
            ->filter(function (array $state): bool {
                return Arr::get($state, 'metadata.viewable');
            })
            ->map(function (array $state): string {
                return Arr::get($state, 'name');
            })
            ->values()
            ->toArray();
    }
}
