<?php

namespace EventPortal\Http\Controllers\Delegate\Event;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\ValueObjects\EventDetails;
use EventPortal\Domain\Event\ValueObjects\PageHeader;
use EventPortal\Domain\Util\DelegateRender;
use EventPortal\Http\Controllers\Controller;
use Inertia\Response;

class VenueController extends Controller
{
    public function __invoke(Event $event): Response
    {
        return DelegateRender::component('Delegate/Venue/Index')
            ->withPageHeader(
                PageHeader::make()
                    ->title('Venue')
                    ->description('All the details about where the event will be hosted')
            )
            ->withEventDetails(EventDetails::make($event))
            ->get();
    }
}
