<?php

namespace EventPortal\Tests\Unit\Event;

use EventPortal\Domain\Event\ViewableStatus;
use EventPortal\Tests\TestCase;

class ViewableStatesTest extends TestCase
{
    /** @test **/
    public function can_get_all_states()
    {
        $expected = [
            'published',
            'post',
            'cancelled',
        ];

        $this->assertSame($expected, ViewableStatus::get());
    }

    /** @test **/
    public function contains_state()
    {
        $this->assertTrue(ViewableStatus::contains('post'));
    }

    /** @test **/
    public function does_not_contain_state()
    {
        $this->assertTrue(ViewableStatus::doesNotContain('other'));
    }
}
